Bug 489958 - High CPU usage and slow puppet performance
High CPU usage and slow puppet performance
Status: CLOSED UPSTREAM
Product: Fedora EPEL
Classification: Fedora
Component: puppet (Show other bugs)
el5
All Linux
low Severity high
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 13:11 EDT by Barrow Kwan
Modified: 2013-04-30 19:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 09:31:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Barrow Kwan 2009-03-12 13:11:35 EDT
Description of problem:
High CPU usage and slow puppet performance with the following puppet configuration

        file { "/some/path":
                owner => "user1",
                group => "group1",
                ensure => directory,
                recurse => true
        } 

Puppet discussion in Google Group http://groups.google.com/group/puppet-users/browse_thread/thread/3348b01f1bbc00ab

according to the discussion, there is a patch on either 0.25 or 0.24.8 which will allow "checksum" option to get around this problem.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Todd Zullinger 2009-05-31 23:08:07 EDT
Perusing the list discussion and upstream ticket, can't this be mitigated somewhat using checksum => undef?  And even that is only relevant if you've set a default checksum for the File type, if I'm reading things correctly.

At the least, it's being fixed upstream and it not likely something we can sanely backport to 0.24.8 in our packages.  Is there any objection to closing this as UPSTREAM?
Comment 2 Barrow Kwan 2009-06-08 01:40:30 EDT
sure
Comment 3 Todd Zullinger 2009-06-08 09:31:04 EDT
Done.  Thanks for reporting this and following up upstream!

Note You need to log in before you can comment on or make changes to this bug.